Name:           libreprap
Version:        0.0.2011.02.22git
Release:        0%{?dist}
Summary:        Cross-platform cross-machine RepRap communications library
Group:          Applications/Engineering
# Per author: "<Ralith> jebba: call it BSD"
License:        BSD
URL:            https://github.com/Ralith/libreprap
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  cmake

%description
Cross-platform cross-machine RepRap communications library

%package devel
Summary: libreprap development files
Group: Development/Libraries
Requires: libreprap = %{version}-%{release}

%description devel
Development files for libreprap.

%prep
%setup -q

%build
%cmake -DCMAKE_BUILD_TYPE=Release .
%{__make} %{?_smp_mflags} VERBOSE=1

%install
%{__rm} -rf %{buildroot}
%{__make} INSTALL="install -p" DESTDIR=%{buildroot} install

%ifnarch i386
# mv lib to correct place
%{__mv} %{buildroot}/%{_prefix}/lib %{buildroot}/%{_libdir}
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/*.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/*


%changelog
* Sun Feb 20 2011 Jeff Moe <moe@alephobjects.com> - 0.0.2011.02.22git-0
- Initial spec

